---
- name: "Install packages insserv-compat" 
  community.general.zypper:
    name:
      - insserv-compat
    state: present

- name: "Download kesl package rpm to temporary folder"
  ansible.builtin.get_url:
      url: "{{ kesl_distr_url_rpm }}"
      dest: "/tmp/{{ kesl_manual_package_name }}"
      validate_certs: "false"
      mode: 0644

#- name: "Delete kesl 11.3 for install kesl 12.0"
#  ansible.builtin.yum:
#    name: kesl
#    state: absent
  
- name: "Install package {{ kesl_manual_package_name }}"
  community.general.zypper:
    name: "/tmp/{{ kesl_manual_package_name }}"
    disable_gpg_check: "true"
    state: present

- name: "Copy file kesl.conf"
  ansible.builtin.template:
    src: "kesl.conf.j2"
    dest: "/opt/kaspersky/kesl.conf"
    mode: 0644
  register: keslconf

- name: "Install settings kesl"
  ansible.builtin.shell: "/opt/kaspersky/kesl/bin/kesl-setup.pl --autoinstall=/opt/kaspersky/kesl.conf"
  when: keslconf.changed
  register: result
  ignore_errors: true
  notify:
    - kesl service enabled
    - restart kesl

- name: "Error in Install setting kesl - Remove file kesl.conf"
  ansible.builtin.file:
    name: "/opt/kaspersky/kesl.conf"
    state: absent
  when: result is failed

- name: "Error in Install setting kesl"
  ansible.builtin.fail:
    msg: "Error Install settings kesl"
  when: result is failed

- name: "Install ScanmemoryLimit={{ kesl_scan_memory_limit }} MaxSwapMemory={{ kesl_max_swap_memory }} in file kesl.ini"
  ansible.builtin.lineinfile:
    path: /var/opt/kaspersky/kesl/common/kesl.ini
    regexp: "{{ item.regexp }}"
    line: "{{ item.line }}"
  with_items:
    - { regexp: '^ScanMemoryLimit=', line: 'ScanMemoryLimit={{ kesl_scan_memory_limit }}' }
    - { regexp: '^MaxSwapMemory=', line: 'MaxSwapMemory={{ kesl_max_swap_memory }}' }
  notify:
    - restart kesl

- name: "Remove file {{ kesl_manual_package_name }}"
  ansible.builtin.file:
    name: "{{ item }}"
    state: absent
  with_items:
    - "/tmp/{{ kesl_manual_package_name }}"